This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316556 - (CVE-2016-2148) CVE-2016-2148 busybox: heap-based buffer overflow in OPTION_6RD parsing
CVE-2016-2148 busybox: heap-based buffer overflow in OPTION_6RD parsing
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160310,repor...
: Security
Depends On: 1316558
Blocks: 1316559
  Show dependency treegraph
 
Reported: 2016-03-10 08:19 EST by Martin Prpič
Modified: 2016-03-11 04:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 04:25:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-03-10 08:19:49 EST
A heap based buffer overflow was discovered in udhcpc when parsing IPv6 Rapid Deployment DHCP option. An attacker could send a maliciously crafted packet as an answer to a DHCP request, to overwrite the heap, resulting in crash or remote code execution.

Upstream patch:

https://git.busybox.net/busybox/commit/?id=352f79
Comment 1 Martin Prpič 2016-03-10 08:20:04 EST
Acknowledgments:

Name: Nico Golde (Qualcomm Product Security Initiative)
Comment 2 Martin Prpič 2016-03-10 08:21:12 EST
Created busybox tracking bugs for this issue:

Affects: fedora-all [bug 1316558]

Note You need to log in before you can comment on or make changes to this bug.